modbus_t Struct Reference

Master query structure: This includes all the necessary fields to make the Master generate a Modbus query. A Master may keep several of these structures and send them cyclically or use them according to program needs. More...

`#include <ModbusRtu.h>`

## Public Attributes

uint8_t | u8id
uint8_t | u8fct
uint16_t | u16RegAdd
uint16_t | u16CoilsNo
uint16_t * | au16reg

## Detailed Description

Master query structure: This includes all the necessary fields to make the Master generate a Modbus query. A Master may keep several of these structures and send them cyclically or use them according to program needs.

Definition at line 48 of file ModbusRtu.h.

## Member Data Documentation

uint16_t* modbus_t::au16reg

Pointer to memory image in master

Definition at line 53 of file ModbusRtu.h.

uint16_t modbus_t::u16CoilsNo

Number of coils or registers to access

Definition at line 52 of file ModbusRtu.h.

uint16_t modbus_t::u16RegAdd

Address of the first register to access at slave/s

Definition at line 51 of file ModbusRtu.h.

uint8_t modbus_t::u8fct

Function code: 1, 2, 3, 4, 5, 6, 15 or 16

Definition at line 50 of file ModbusRtu.h.

uint8_t modbus_t::u8id

Slave address between 1 and 247. 0 means broadcast

Definition at line 49 of file ModbusRtu.h.

The documentation for this struct was generated from the following file:

- ModbusRtu.h